curl "https://api.nedzo.ai/v1/phone-numbers/4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c",
"workspaceId": "19c3b12f-ec54-43ad-8686-00e921f1befd",
"number": "+14155551234",
"status": "active",
"type": "inbound_outbound",
"friendlyName": "Main line",
"inboundAgentId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"chatAgentId": null,
"fallbackEnabled": false,
"fallbackNumber": null,
"fallbackRingDuration": 20,
"activeHours": null,
"monthlyPriceCents": 99,
"purchasedAt": "2026-10-11T12:00:00Z",
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}
Phone Numbers
Get a phone number
Get one phone number.
GET
/
phone-numbers
/
{id}
curl "https://api.nedzo.ai/v1/phone-numbers/4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c",
"workspaceId": "19c3b12f-ec54-43ad-8686-00e921f1befd",
"number": "+14155551234",
"status": "active",
"type": "inbound_outbound",
"friendlyName": "Main line",
"inboundAgentId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"chatAgentId": null,
"fallbackEnabled": false,
"fallbackNumber": null,
"fallbackRingDuration": 20,
"activeHours": null,
"monthlyPriceCents": 99,
"purchasedAt": "2026-10-11T12:00:00Z",
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}
This endpoint is for the VIP plan only. Other plans get a
403. See Plan access.string
required
Phone number UUID
curl "https://api.nedzo.ai/v1/phone-numbers/4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "4d1f6b52-8c0e-4a51-9b7d-2f3c4e5a6b7c",
"workspaceId": "19c3b12f-ec54-43ad-8686-00e921f1befd",
"number": "+14155551234",
"status": "active",
"type": "inbound_outbound",
"friendlyName": "Main line",
"inboundAgentId": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
"chatAgentId": null,
"fallbackEnabled": false,
"fallbackNumber": null,
"fallbackRingDuration": 20,
"activeHours": null,
"monthlyPriceCents": 99,
"purchasedAt": "2026-10-11T12:00:00Z",
"createdAt": "2026-10-11T12:00:00Z",
"updatedAt": "2026-10-11T12:00:00Z"
}
404.Was this page helpful?
